<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	$add_new       = ( ! empty( $_GET['add_new'] ) ) ? sanitize_text_field( $_GET['add_new'] ) : 0;
	$edit_pipeline = ( ! empty( $_GET['edit_pipeline'] ) ) ? sanitize_text_field( $_GET['edit_pipeline'] ) : 0;

	$current_user_id = get_current_user_id();

	if ( zleadscrm_user_can_access_pipelines( $current_user_id ) == false ) {
		echo '<div class="zleadscrm_not_allowed_wrap">';
		echo '<p>Sorry, you are not allowed to access this page!</p>';
		echo '</div>';
		exit;
	}

?>
<style>
    @media all and (max-width: 737px) {
        th.column-actions, td.column-actions {
            text-align: left !important;
        }
    }
</style>
<div class="wrap">
    <hr class="wp-header-end"/>
    <h1 style="display: inline-block">Pipeline</h1>
	<?php if ( $add_new == 0 && $edit_pipeline == 0 ): ?>
        <a href="<?php echo admin_url( 'admin.php' ) . '?page=zleadscrm_pipelines&add_new=1'; ?>" class="button"
           style="display: inline-block; margin-top:10px; margin-left:10px; padding: 0 20px;">Add Pipeline</a>
	<?php elseif ( $add_new == 1 || $edit_pipeline != 0 ): ?>
        <a href="<?php echo admin_url( 'admin.php' ) . '?page=zleadscrm_pipelines'; ?>"
           class="zleadscrm_goback_btn"><span class="dashicons dashicons-undo"></span></a>
	<?php endif; ?>
	<?php
		if ( $add_new == 1 || $edit_pipeline != 0 ) {
			include_once( ZLEADSCRM_PIPELINE_PLUGIN_DIR . 'template/pipeline/add_new_pipeline.php' );
		} else {
			if ( ! class_exists( 'ZLEADSCRM_PIPELINE_Core_Pipelines' ) ) {
				require_once( ZLEADSCRM_PIPELINE_PLUGIN_DIR . 'helper/class-zleadscrm-core-pipelines.php' );
			}

			$zleadscrm_pipelines = new ZLEADSCRM_PIPELINE_Core_Pipelines();

			echo '<div style=" margin-top:2rem; margin-right:1rem;">';
			$zleadscrm_pipelines->print_overview();
			echo '</div>';
		}
	?>
</div>
