<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}
	$add_new       = ( ! empty( $_GET['add_new'] ) ) ? sanitize_text_field( $_GET['add_new'] ) : 0;
	$edit_pipeline = ( ! empty( $_GET['edit_pipeline'] ) ) ? sanitize_text_field( $_GET['edit_pipeline'] ) : 0;
	$updated       = ( ! empty( $_GET['upd'] ) ) ? sanitize_text_field( $_GET['upd'] ) : 0;
	if ( $updated == '1' ): ?>
        <div id="updated_notice" class="zleadscrm_updated_notice">
            <p><strong>Pipeline Updated.</strong></p>
            <p><a href="<?php echo admin_url( 'admin.php' ) . '?page=zleadscrm_pipelines'; ?>">← Back to Pipeline</a></p>
        </div>
	<?php endif;
	if ( $add_new == 1 ) {
		$pipeline_form_title = '';

		$pipeline_first_name        = 'no';
		$pipeline_last_name         = 'no';
		$pipeline_title             = 'no';
		$pipeline_business_name     = 'yes';
		$pipeline_email_address     = 'yes';
		$pipeline_phone             = 'no';
		$pipeline_website           = 'no';
		$pipeline_short_description = 'no';
		$pipeline_billing_details   = 'no';
		$pipeline_shipping_details  = 'no';
		$pipeline_brands            = 'no';

		$pipeline_lead_status     = '';
		$pipeline_lead_source     = '';
		$pipeline_customer_status = '';
		$pipeline_account_manager = '0';

		$pipeline_required_first_name        = 'no';
		$pipeline_required_last_name         = 'no';
		$pipeline_required_title             = 'no';
		$pipeline_required_business_name     = 'yes';
		$pipeline_required_email_address     = 'yes';
		$pipeline_required_phone             = 'no';
		$pipeline_required_website           = 'no';
		$pipeline_required_short_description = 'no';
		$pipeline_required_billing_details   = 'no';
		$pipeline_required_shipping_details  = 'no';
		$pipeline_required_brands            = 'no';

		$pipeline_form_submit_button_text = '';
		$pipeline_form_redirect_url       = '';

	} else if ( $edit_pipeline != 0 ) {
		$pipeline_form_title = get_post( $edit_pipeline )->post_title;

		$pipeline_first_name        = get_post_meta( $edit_pipeline, 'pipeline_first_name', true );
		$pipeline_last_name         = get_post_meta( $edit_pipeline, 'pipeline_last_name', true );
		$pipeline_title             = get_post_meta( $edit_pipeline, 'pipeline_title', true );
		$pipeline_business_name     = get_post_meta( $edit_pipeline, 'pipeline_business_name', true );
		$pipeline_email_address     = get_post_meta( $edit_pipeline, 'pipeline_email_address', true );
		$pipeline_phone             = get_post_meta( $edit_pipeline, 'pipeline_phone', true );
		$pipeline_website           = get_post_meta( $edit_pipeline, 'pipeline_website', true );
		$pipeline_short_description = get_post_meta( $edit_pipeline, 'pipeline_short_description', true );
		$pipeline_billing_details   = get_post_meta( $edit_pipeline, 'pipeline_billing_details', true );
		$pipeline_shipping_details  = get_post_meta( $edit_pipeline, 'pipeline_shipping_details', true );
		$pipeline_brands            = get_post_meta( $edit_pipeline, 'pipeline_brands', true );

		$pipeline_lead_status     = get_post_meta( $edit_pipeline, 'pipeline_lead_status', true );
		$pipeline_lead_source     = get_post_meta( $edit_pipeline, 'pipeline_lead_source', true );
		$pipeline_account_manager = get_post_meta( $edit_pipeline, 'pipeline_account_manager', true );
		$pipeline_customer_status = get_post_meta( $edit_pipeline, 'pipeline_customer_status', true );


		$pipeline_required_first_name        = get_post_meta( $edit_pipeline, 'pipeline_required_first_name', true );
		$pipeline_required_last_name         = get_post_meta( $edit_pipeline, 'pipeline_required_last_name', true );
		$pipeline_required_title             = get_post_meta( $edit_pipeline, 'pipeline_required_title', true );
		$pipeline_required_business_name     = get_post_meta( $edit_pipeline, 'pipeline_required_business_name', true );
		$pipeline_required_email_address     = get_post_meta( $edit_pipeline, 'pipeline_required_email_address', true );
		$pipeline_required_phone             = get_post_meta( $edit_pipeline, 'pipeline_required_phone', true );
		$pipeline_required_website           = get_post_meta( $edit_pipeline, 'pipeline_required_website', true );
		$pipeline_required_short_description = get_post_meta( $edit_pipeline, 'pipeline_required_short_description', true );
		$pipeline_required_billing_details   = get_post_meta( $edit_pipeline, 'pipeline_required_billing_details', true );
		$pipeline_required_shipping_details  = get_post_meta( $edit_pipeline, 'pipeline_required_shipping_details', true );
		$pipeline_required_brands            = get_post_meta( $edit_pipeline, 'pipeline_required_brands', true );

		$pipeline_form_submit_button_text = get_post_meta( $edit_pipeline, 'pipeline_form_submit_button_text', true );
		$pipeline_form_redirect_url       = get_post_meta( $edit_pipeline, 'pipeline_form_redirect_url', true );

	}

	$number_of_fields = 0;

?>

<div class="wrap">
    <form method="POST" action="<?php echo admin_url( 'admin-post.php' ); ?>" id="zleadscrm_add_new_pipeline_form">
		<?php if ( $add_new == 1 ): ?>
            <input type="hidden" name="action" value="zleadscrm_add_new_pipeline"/>
			<?php wp_nonce_field( 'zleadscrm_add_new_pipeline' ); ?>
		<?php endif; ?>
		<?php if ( $edit_pipeline != 0 ): ?>
            <input type="hidden" name="action" value="zleadscrm_edit_pipeline"/>
            <input type="hidden" name="pipeline_id" value="<?php echo esc_attr( $edit_pipeline ); ?>"/>
			<?php wp_nonce_field( 'zleadscrm_edit_pipeline' ); ?>
		<?php endif; ?>
        <div class="zleadscrm_row" style="background: #fff;">
            <div class="zleadscrm_col_12 zleadscrm_row">
                <div class="zleadscrm_col_8">
                    <label for="zleadscrm_pipeline_form_title" class="zleadscrm_pipeline_label">Pipeline Form Title</label>
                    <input type="text" id="zleadscrm_pipeline_form_title" name="zleadscrm_pipeline_form_title"
                           class="zleadscrm_col_12" style="padding: 10px;"
                           value="<?php echo esc_attr( $pipeline_form_title ); ?>"
                           required/>
                </div>
                <div class="zleadscrm_col_8">
                    <label for="zleadscrm_pipeline_form_fields" class="zleadscrm_pipeline_label">Check box to include the
                        field in the form</label>
                    <div class="zleadscrm_col_12 zleadscrm_row zleadscrm_disabled_padding">
                        <div class="zleadscrm_col_8">
                            <table class="zleadscrm_col_12 zleadscrm_disabled_padding" style="border-spacing: 0;">
                                <tr>
                                    <td class="zleadscrm_col_3"
                                        style="text-align: center; padding:15px 0; font-weight: 500;"><label
                                                style="font-size: 14px;">Enabled</label>
                                    </td>
                                    <td class="zleadscrm_col_3"
                                        style="text-align: center; padding:15px 0; font-weight: 500;"><label
                                                style="font-size: 14px;">Required</label>
                                    </td>
                                    <td class="zleadscrm_col_3" style="padding:15px 0; font-weight: 500;">
                                        <label style="font-size: 14px;">Field
                                            Type</label></td>
                                    <td class="zleadscrm_col_3"><label></label></td>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_first_name" value="first_name"
											<?php echo $pipeline_first_name != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_first_name" value="first_name"
											<?php echo $pipeline_required_first_name != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>First Name</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_last_name" value="last_name"
											<?php echo $pipeline_last_name != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_last_name" value="last_name"
											<?php echo $pipeline_required_last_name != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Last Name</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_title" value="title"
											<?php echo $pipeline_title != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">

                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_title" value="title"
											<?php echo $pipeline_required_title != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Title</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_email_address" value="email_address"
                                               checked disabled/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_email_address"
                                               value="email_address"
                                               checked disabled/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label
                                                for="zleadscrm_pipeline_form_field_email_address" style="color: #777;">Email
                                            Address</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_business_name" value="business_name"
                                               checked disabled/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_business_name"
                                               value="business_name"
                                               checked disabled/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label
                                                for="zleadscrm_pipeline_form_field_business_name" style="color: #777;">Business
                                            Name</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_phone" value="phone"
											<?php echo $pipeline_phone != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_phone" value="phone"
											<?php echo $pipeline_required_phone != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Phone</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_website" value="website"
											<?php echo $pipeline_website != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_website" value="website"
											<?php echo $pipeline_required_website != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Website</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

								<?php if ( class_exists( 'WooCommerce' ) ): ?>
                                    <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                        <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                            <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                                   id="zleadscrm_pipeline_form_field_brands" value="brands"
												<?php echo $pipeline_brands != 'no' ? 'checked' : ''; ?>/>
                                        </td>
                                        <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                            <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                                   id="zleadscrm_pipeline_form_field_required_brands" value="brands"
												<?php echo $pipeline_required_brands != 'no' ? 'checked' : ''; ?>/>
                                        </td>
                                        <td class="zleadscrm_padding_table_row"><label>Brands</label></td>
										<?php $number_of_fields ++; ?>
                                    </tr>
								<?php endif; ?>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_short_description"
                                               value="short_description"
											<?php echo $pipeline_short_description != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_short_description"
                                               value="short_description"
											<?php echo $pipeline_required_short_description != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Short Description</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_billing_details" value="billing_details"
											<?php echo $pipeline_billing_details != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_billing_details"
                                               value="billing_details"
											<?php echo $pipeline_required_billing_details != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Billing Details</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                                <tr <?php echo ( $number_of_fields % 2 == 0 ) ? 'class="zleadscrm_col_colored"' : ''; ?>>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_fields[]"
                                               id="zleadscrm_pipeline_form_field_shipping_details" value="shipping_details"
											<?php echo $pipeline_shipping_details != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row" style="text-align: center;">
                                        <input type="checkbox" name="zleadscrm_pipeline_form_required_fields[]"
                                               id="zleadscrm_pipeline_form_field_required_shipping_details"
                                               value="shipping_details"
											<?php echo $pipeline_required_shipping_details != 'no' ? 'checked' : ''; ?>/>
                                    </td>
                                    <td class="zleadscrm_padding_table_row"><label>Shipping Details</label></td>
									<?php $number_of_fields ++; ?>
                                </tr>

                            </table>
                        </div>
                    </div>
                </div>
                <div class="zleadscrm_col_8">
                    <label for="zleadscrm_pipeline_automatic_selection" class="zleadscrm_pipeline_label">Automatic Selection
                        Options</label>
                    <div class="zleadscrm_col_6 zleadscrm_row zleadscrm_disabled_padding">
                        <div class="zleadscrm_col_12">
                            <label for="zleadscrm_pipeline_lead_status" class="zleadscrm_form_label">Lead Status</label>
                            <select name="zleadscrm_pipeline_lead_status" id="zleadscrm_pipeline_lead_status"
                                    class="zleadscrm_widefat_input">
                                <option value="select">Select a Lead Status</option>
								<?php $lead_statuses = zleadscrm_get_lead_statuses();
									foreach ( $lead_statuses as $key => $value ) {
										$selected = $pipeline_lead_status == $key ? 'selected' : '';
										echo '<option value="' . esc_attr( $key ) . '" ' . $selected . '>' . esc_html( $value ) . '</option>';
									}
								?>
                            </select>
                        </div>
                        <div class="zleadscrm_col_12">
                            <label for="zleadscrm_pipeline_lead_source" class="zleadscrm_form_label">Lead Source</label>
                            <select name="zleadscrm_pipeline_lead_source" id="zleadscrm_pipeline_lead_source"
                                    class="zleadscrm_widefat_input">
                                <option value="select">Select a lead</option>
								<?php $lead_sources = zleadscrm_get_lead_sources();
									foreach ( $lead_sources as $key => $value ) {
										$selected = $pipeline_lead_source == $key ? 'selected' : '';
										echo '<option value="' . esc_attr( $key ) . '" ' . $selected . '>' . esc_html( $value ) . '</option>';
									}
								?>
                            </select>
                        </div>
                        <div class="zleadscrm_col_12">
                            <label for="zleadscrm_pipeline_customer_status" class="zleadscrm_form_label">Customer
                                Status</label>
                            <select name="zleadscrm_pipeline_customer_status" id="zleadscrm_pipeline_customer_status"
                                    class="zleadscrm_widefat_input">
                                <option value="select">Select a status</option>
								<?php $customer_statuses = zleadscrm_get_lead_customer_statuses();
									foreach ( $customer_statuses as $key => $value ) {
										$selected = $pipeline_customer_status == $key ? 'selected' : '';
										echo '<option value="' . esc_attr( $key ) . '" ' . $selected . '>' . esc_html( $value ) . '</option>';
									}
								?>
                            </select>
                        </div>
                        <div class="zleadscrm_col_12">
							<?php
								if ( defined( 'ZACCTMGR_PLUGIN_DIR' ) ):
									$plugin = str_replace( 'plugins' . DIRECTORY_SEPARATOR, '', strstr( ZACCTMGR_PLUGIN_DIR, 'plugins' ) ) . 'accountmanager.php';
									if ( is_plugin_active( $plugin ) ):
										$account_managers = zacctmgr_get_em_users();
										?>
                                        <label for="zleadscrm_pipeline_account_manager" class="zleadscrm_form_label">Account
                                            Manager</label>
                                        <select name="zleadscrm_pipeline_account_manager"
                                                id="zleadscrm_pipeline_account_manager"
                                                class="zleadscrm_widefat_input">
                                            <option value="0" <?php echo $pipeline_account_manager == '0' ? 'selected' : ''; ?>>
                                                Select an Account Manager
                                            </option>
											<?php
												foreach ( $account_managers as $account_manager ) {
													$selected = $pipeline_account_manager == $account_manager->ID ? 'selected' : '';
													echo '<option value="' . esc_attr( $account_manager->ID ) . '" ' . $selected . '>' . esc_html( $account_manager->display_name ) . '</option>';
												}
											?>
                                        </select>
									<?php endif; ?>
								<?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="zleadscrm_col_8">
                    <label class="zleadscrm_pipeline_label">Form Customizations</label>
                    <div class="zleadscrm_col_6">
                        <label for="zleadscrm_pipeline_submit_button_text" class="zleadscrm_form_label">Submit Button
                            Text</label>
                        <input type="text" id="zleadscrm_pipeline_submit_button_text"
                               name="zleadscrm_pipeline_submit_button_text" class="zleadscrm_widefat_input"
                               value="<?php echo esc_attr( $pipeline_form_submit_button_text ); ?>"/>
                    </div>
                    <div class="zleadscrm_col_6">
                        <label for="zleadscrm_pipeline_form_redirect_url" class="zleadscrm_form_label">Form Redirect URL After
                            From
                            Submission</label>
                        <input type="url" id="zleadscrm_pipeline_form_redirect_url"
                               name="zleadscrm_pipeline_form_redirect_url" class="zleadscrm_widefat_input"
                               value="<?php echo esc_attr( $pipeline_form_redirect_url ); ?>"/>
                    </div>
                </div>
                <div class="zleadscrm_col_12">
                    <input type="submit" class="button button-primary"
                           style="padding-right:2rem; padding-left:2rem;"
                           value="Save"/>
                </div>
            </div>
        </div>
    </form>
</div>


